Class Specialization
Interval Tree Node
An Interval Tree Node that stores intervals explicitely in each node.

IntervalTreeNode

Interval Tree Node

IntervalTreeNode<TInterval, StoreIntervals>
Include Headers
seqan/misc/misc_interval_tree.h
Parameters

TInterval | The interval type to store in the node.

Specialization of
IntervalTreeNode
Metafunctions

Cargo | Type of additional data stored in an object. (IntervalTreeNode)
ListType | Type of lists in tree nodes. (IntervalTreeNode)
ListType | Type of lists in tree nodes. (IntervalTreeNode)
Value | Type of the items in the container. (IntervalTreeNode)

Member Functions

IntervalTreeNode | Default constructor. (IntervalTreeNode)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51